## AtkNoOpObjectFactory AtkNoOpObjectFactory — The AtkObjectFactory which creates an AtkNoOpObject. |

## Functions

AtkObjectFactory * | atk_no_op_object_factory_new ()

## Types and Values

struct | AtkNoOpObjectFactory

## Object Hierarchy

        GObject
        ╰── AtkObjectFactory
            ╰── AtkNoOpObjectFactory

## Includes

    #include <atk/atk.h>

## Description

The AtkObjectFactory which creates an AtkNoOpObject. An instance of this is created by an AtkRegistry if no factory type has not been specified to create an accessible object of a particular type.

## Functions

### atk_no_op_object_factory_new ()

    AtkObjectFactory *
    atk_no_op_object_factory_new (void);

Creates an instance of an AtkObjectFactory which generates primitive (non-functioning) AtkObjects.

#### Returns

an instance of an AtkObjectFactory

## Types and Values

### struct AtkNoOpObjectFactory

    struct AtkNoOpObjectFactory;